servicemix-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From gno...@apache.org
Subject svn commit: r588216 - in /incubator/servicemix/branches/servicemix-4.0/apache-servicemix/src/main/release: bin/servicemix.sh conf/config.properties
Date Thu, 25 Oct 2007 12:37:35 GMT
Author: gnodet
Date: Thu Oct 25 05:37:35 2007
New Revision: 588216

URL: http://svn.apache.org/viewvc?rev=588216&view=rev
Log:
Fix script and jta support

Modified:
    incubator/servicemix/branches/servicemix-4.0/apache-servicemix/src/main/release/bin/servicemix.sh
    incubator/servicemix/branches/servicemix-4.0/apache-servicemix/src/main/release/conf/config.properties

Modified: incubator/servicemix/branches/servicemix-4.0/apache-servicemix/src/main/release/bin/servicemix.sh
URL: http://svn.apache.org/viewvc/incubator/servicemix/branches/servicemix-4.0/apache-servicemix/src/main/release/bin/servicemix.sh?rev=588216&r1=588215&r2=588216&view=diff
==============================================================================
--- incubator/servicemix/branches/servicemix-4.0/apache-servicemix/src/main/release/bin/servicemix.sh
(original)
+++ incubator/servicemix/branches/servicemix-4.0/apache-servicemix/src/main/release/bin/servicemix.sh
Thu Oct 25 05:37:35 2007
@@ -35,6 +35,22 @@
     export JAVA_MAX_MEM
 fi
 
+warn() {
+    echo "${PROGNAME}: $*"
+}
+
+die() {
+    warn "$*"
+    exit 1
+}
+
+maybeSource() {
+    file="$1"
+    if [ -f "$file" ] ; then
+        . $file
+    fi
+}
+
 detectOS() {
     # OS specific support (must be 'true' or 'false').
     cygwin=false;
@@ -119,8 +135,11 @@
         [ -n "$JAVA" ] && JAVA=`cygpath --unix "$JAVA"`
         [ -n "$JAVA_HOME" ] && JAVA_HOME=`cygpath --unix "$JAVA_HOME"`
     fi
-    
+
     if [ "x$JAVA" = "x" ]; then
+        if [ "x$JAVA_HOME" = "x" ] && [ "$darwin" = "true" ]; then
+            JAVA_HOME=/System/Library/Frameworks/JavaVM.framework/Home
+        fi
         if [ "x$JAVA_HOME" != "x" ]; then
             if [ ! -d "$JAVA_HOME" ]; then
                 die "JAVA_HOME is not valid: $JAVA_HOME"

Modified: incubator/servicemix/branches/servicemix-4.0/apache-servicemix/src/main/release/conf/config.properties
URL: http://svn.apache.org/viewvc/incubator/servicemix/branches/servicemix-4.0/apache-servicemix/src/main/release/conf/config.properties?rev=588216&r1=588215&r2=588216&view=diff
==============================================================================
--- incubator/servicemix/branches/servicemix-4.0/apache-servicemix/src/main/release/conf/config.properties
(original)
+++ incubator/servicemix/branches/servicemix-4.0/apache-servicemix/src/main/release/conf/config.properties
Thu Oct 25 05:37:35 2007
@@ -73,7 +73,6 @@
  javax.swing.text.rtf; \
  javax.swing.tree; \
  javax.swing.undo; \
- javax.transaction; \
  org.omg.CORBA; \
  org.omg.CORBA_2_3; \
  org.omg.CORBA_2_3.portable; \
@@ -138,8 +137,6 @@
  javax.swing.text.rtf; \
  javax.swing.tree; \
  javax.swing.undo; \
- javax.transaction; \
- javax.transaction.xa; \
  javax.xml.parsers; \
  javax.xml.transform; \
  javax.xml.transform.dom; \
@@ -254,8 +251,6 @@
  javax.swing.text.rtf; \
  javax.swing.tree; \
  javax.swing.undo; \
- javax.transaction; \
- javax.transaction.xa; \
  javax.xml; \
  javax.xml.datatype; \
  javax.xml.namespace; \



Mime
View raw message